﻿using System;

using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.ObjectModel;

namespace SimpleSample
{
	public class Pie : ContentPage
	{
		public Pie ()
		{
			StackLayout layout = new StackLayout ();

			SfChart chart = new SfChart();
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;
			PieSeries pieSeries = new PieSeries();
			ObservableCollection<ChartDataPoint> datas = new ObservableCollection<ChartDataPoint>();
			datas.Add(new ChartDataPoint("Jan",45));
			datas.Add(new ChartDataPoint("Feb", 32));
			datas.Add(new ChartDataPoint("Mar",28));
			datas.Add(new ChartDataPoint("Apr",35));
			datas.Add(new ChartDataPoint("May", 22));
			datas.Add(new ChartDataPoint("Jun",26));
			pieSeries.DataMarkerPosition = CircularSeriesDataMarkerPosition.OutsideExtended;
			pieSeries.ItemsSource = datas;
			pieSeries.DataMarker = new ChartDataMarker();
			pieSeries.EnableSmartLabels = true;
			pieSeries.ExplodeRadius = Device.OnPlatform (iOS: 7, Android: 10, WinPhone: 20);
			pieSeries.CircularCoefficient = 0.6;
			pieSeries.ExplodeAll = true;
			chart.Series.Add (pieSeries);
			layout.Children.Add (chart);
			Content = layout;
		}
	}
}


